curl --request POST \
--url https://api.nuwebgroup.com/v1/events/tickets/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"saleItemData": {
"id": 1,
"pricing": [],
"totalStock": 500,
"parentSaleItemId": null,
"onSaleFrom": "2021-11-22 11:59:00",
"onSaleUntil": "2021-11-22 11:59:00",
"validFrom": "2021-11-22 11:59:00",
"validUntil": "2021-11-22 11:59:00",
"scanningGracePeriod": 12,
"minOrderQuantity": 10,
"maxOrderQuantity": 30,
"multiplesOf": 10,
"additionalInformation": "Lorem ipsum dolor sit amet",
"attractsDiscount": false,
"canBeDownloaded": false,
"canAccessStream": true,
"hideWhenOffSale": true,
"hideWhenOutOfStock": true
},
"itemData": {
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet",
"totalStock": 123,
"hasUnlimitedStock": false,
"requiresApproval": true
}
}
'{
"data": {
"type": "saleItems",
"id": 1,
"attributes": {
"totalStock": 500,
"currentStock": 500,
"onSaleFrom": "2021-11-22T11:59:00.000000Z",
"onSaleUntil": "2021-11-22T11:59:00.000000Z",
"validFrom": "2021-11-22T11:59:00.000000Z",
"validUntil": "2021-11-22T11:59:00.000000Z",
"scanningGracePeriod": 12,
"minOrderQuantity": 10,
"maxOrderQuantity": 30,
"multiplesOf": 10,
"orderColumn": null,
"additionalInformation": "Lorem ipsum dolor sit amet",
"attractsDiscount": false,
"canBeDownloaded": false,
"canAccessStream": true,
"hideWhenOffSale": true,
"hideWhenOutOfStock": true,
"hideFromBoxOffice": false,
"hideFromShop": false,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
},
"relationships": {
"items": {
"data": {
"type": "items",
"id": 1
}
}
}
},
"included": [
{
"type": "items",
"id": 1,
"attributes": {
"type": "ticket",
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet",
"totalStock": 500,
"currentStock": 500,
"hasUnlimitedStock": false,
"requiresApproval": true,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
}
]
}The values keyed under βsaleItemDataβ will affect only this specific sale item, but please be aware that and values passed in the βitemDataβ will affect all sale items associated to the same item.
curl --request POST \
--url https://api.nuwebgroup.com/v1/events/tickets/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"saleItemData": {
"id": 1,
"pricing": [],
"totalStock": 500,
"parentSaleItemId": null,
"onSaleFrom": "2021-11-22 11:59:00",
"onSaleUntil": "2021-11-22 11:59:00",
"validFrom": "2021-11-22 11:59:00",
"validUntil": "2021-11-22 11:59:00",
"scanningGracePeriod": 12,
"minOrderQuantity": 10,
"maxOrderQuantity": 30,
"multiplesOf": 10,
"additionalInformation": "Lorem ipsum dolor sit amet",
"attractsDiscount": false,
"canBeDownloaded": false,
"canAccessStream": true,
"hideWhenOffSale": true,
"hideWhenOutOfStock": true
},
"itemData": {
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet",
"totalStock": 123,
"hasUnlimitedStock": false,
"requiresApproval": true
}
}
'{
"data": {
"type": "saleItems",
"id": 1,
"attributes": {
"totalStock": 500,
"currentStock": 500,
"onSaleFrom": "2021-11-22T11:59:00.000000Z",
"onSaleUntil": "2021-11-22T11:59:00.000000Z",
"validFrom": "2021-11-22T11:59:00.000000Z",
"validUntil": "2021-11-22T11:59:00.000000Z",
"scanningGracePeriod": 12,
"minOrderQuantity": 10,
"maxOrderQuantity": 30,
"multiplesOf": 10,
"orderColumn": null,
"additionalInformation": "Lorem ipsum dolor sit amet",
"attractsDiscount": false,
"canBeDownloaded": false,
"canAccessStream": true,
"hideWhenOffSale": true,
"hideWhenOutOfStock": true,
"hideFromBoxOffice": false,
"hideFromShop": false,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
},
"relationships": {
"items": {
"data": {
"type": "items",
"id": 1
}
}
}
},
"included": [
{
"type": "items",
"id": 1,
"attributes": {
"type": "ticket",
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet",
"totalStock": 500,
"currentStock": 500,
"hasUnlimitedStock": false,
"requiresApproval": true,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt
Use this file to discover all available pages before exploring further.
The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.
The ID of the company this operation should be performed against.
Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.
Request body for updating a ticket sale item.